## qscintilla2 2.8.3+dfsg

=== debian/changelog ===
qscintilla2 (2.8.3+dfsg-3build0.1) utopic; urgency=medium

  * No-change rebuild to make python3-pyqt5.qsci working (LP: #1391056).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 04 May 2015 21:50:29 +0300

qscintilla2 (2.8.3+dfsg-3) unstable; urgency=medium

  * Add support for Qt designer plugin with Qt5
    - Add new binary, libqt5scintilla2-designer, in debian/control
    - Add qttools5-dev to build-depends
    - Update debian/rules
    - Merge debian/patches/designer_link_fix.patch into debian/patches/
      qt5_libname.patch and update for Qt5 name for designer plugin
  * Add -dbg packages (Closes: #618985)
    - Add -dbg packages to debian/control
    - Add python-qt4-dbg, python3-pyqt4-dbg, python3-pyqt5-dbg, python-all-dbg
      and python3-all-dbg to build-depends
    - Rework debian/rules based on how python-qt4 does it to actually build
      and install the dbg variants
    - Add debian/patches/build_debug_libs.patch to enable debug build in lib
      and designer plugin
    - Adjust configure to build python bindings with debug enabled
  * Add dev packages (pyqt5.qsci-dev and pyqt4.qsci-dev) for sip files to make
    it possible to provide sip bindings to classes derived from Qscintilla
    classes (Closes: #755491)
    - Add debian/pyqt5.qsci-dev.install and pyqt4.qsci-dev.install
    - Add debian/patches/sip_install_loc.patch to adjust sip file location in
      Python/QSci.pro for Debian python build locations (Thanks to Jürgen E.
      Fischer)
  * Additional adjustments to debian/rules to prevent errors from being
    ignored (thanks to Jürgen E. Fischer)
  * Make Qt5 arch any since pyqt5 now builds on hurd
  * Update debian/copyright
  * Wrap and sort
  * Drop obsolete Breaks/Replaces

 -- Scott Kitterman <scott@kitterman.com>  Sun, 27 Jul 2014 12:47:35 -0400

qscintilla2 (2.8.3+dfsg-2) unstable; urgency=medium

   * Patch designer-Qt4Qt5/designer.pro to explicitly link with the Qt4 version
     of the qscintilla2 library to fix runtime inability to find qscintilla2
     symbols (Closes: 753581) (really)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Jul 2014 22:34:22 -0400

qscintilla2 (2.8.3+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Repack tarball to remove sourcelss javascript files (doc/html-Qt4Qt5/
      jquery.js and doc/html-Qt3/jquery.js)
    - Rebuild should resolve #753581 (Closes: #753581)
    - Dropped debian/patches/pyconfigure_target_config_fix.patch, resolved
      upstream
    - Refreshed patches

 -- Scott Kitterman <scott@kitterman.com>  Sat, 05 Jul 2014 10:00:28 -0400

qscintilla2 (2.8.2+dfsg-3) unstable; urgency=medium

  * Correct location and content of qscintilla2.prf for Qt5 build
    (Closes:  #751531)
    - Set libqt5scintilla2 in LIBS if debug is enabled in qscintilla2.prf
    - Change qscintilla2.prf from usr/share to usr/lib so Qt5 finds it

 -- Scott Kitterman <scott@kitterman.com>  Sat, 14 Jun 2014 10:37:34 -0400

qscintilla2 (2.8.2+dfsg-2) unstable; urgency=medium

  * Fix failure to link python* packages to the lib (Closes: #751239)
    - Add debian/patches/qsci_link.patch so that the correct (Qt4/Qt5) is used
    - Update debian/rules to match build system changes so that the correct
      search path for the libs is used

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jun 2014 09:59:25 -0400

qscintilla2 (2.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Repack tarball to remove sourcelss javascript files
    - Refresh and update patches for upstream Python/configure.py changes
    - Add debian/patches/pyconfigure_target_config_fix.patch to fix a variable
      rename missed by upstream
  * Adjust debian/rules to use the new, multiarch Qt5 header installation
    locations (Closes: #751071)
    - Change libqt5scintilla2-dev to arch:linux-any kfreebsd-any now that
      header locations are arch specific for the Qt5 build
  * Build Qt5 packages for kfreebsd now that pyqt5 is built there
  * Update debian/watch due to need to mangle upstream version
  * Set minimum pyqt5 build-dep version to 5.3+dfsg-2~ Due to Qt 5.3 changes
  * Fix libqt5scintilla2-l10n Suggests

 -- Scott Kitterman <scott@kitterman.com>  Mon, 09 Jun 2014 14:45:54 -0400

qscintilla2 (2.8.1-4) unstable; urgency=medium

  * Fix test for python-pyqt5 availability

 -- Scott Kitterman <scott@kitterman.com>  Wed, 07 May 2014 09:07:37 -0400

qscintilla2 (2.8.1-3) unstable; urgency=medium

  * Change PyQt5 build-deps to linux-any to match where it is available
  * Limit Qt5 based packages to linux-any
  * Reorder debian/rules and add guards to only run Qt5 related rules when
    PyQt5 is available
  * Install QScintilla2.api files for Qt4 and Qt5 in libqscintilla2-doc

 -- Scott Kitterman <scott@kitterman.com>  Tue, 06 May 2014 23:59:00 -0400
