=== debian/control ===
Source: qscintilla2
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>,
           Gudjon I. Gudjonsson <gudjon@gudjon.org>,
           Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 9),
               libqt4-dev (>= 4:4.8.0~),
               pyqt5-dev,
               python-all-dbg,
               python-all-dev (>= 2.6.6-3~),
               python-qt4 (>= 4.8.3-3~),
               python-qt4-dbg,
               python-qt4-dev (>= 4.8.3-3~),
               python-sip-dbg,
               python-sip-dev (>= 4.10),
               python3-all-dbg,
               python3-all-dev (>= 3.1.3-13~),
               python3-pyqt4,
               python3-pyqt4-dbg,
               python3-pyqt5 (>= 5.3+dfsg-2~),
               python3-pyqt5-dbg,
               python3-sip-dbg,
               python3-sip-dev,
               qtbase5-dev,
               qttools5-dev
Standards-Version: 3.9.5
Section: libs
X-Python3-Version: >= 3.1
Homepage: http://www.riverbankcomputing.co.uk/software/qscintilla
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/qscintilla2/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/qscintilla2/trunk/

Package: libqscintilla2-11
Architecture: any
Depends: libqscintilla2-l10n (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt4 port of the Scintilla source code editing widget
 QScintilla is a text editor for Qt4 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 Styling choices are more open than with many editors, allowing the use
 of proportional fonts, bold and italics, multiple foreground and background
 colours and multiple fonts.

Package: libqscintilla2-11-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libqscintilla2-11 (= ${binary:Version}),
         ${misc:Depends}
Description: Qt4 port of the Scintilla source code editing widget (debug)
 QScintilla is a text editor for Qt4 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 Styling choices are more open than with many editors, allowing the use
 of proportional fonts, bold and italics, multiple foreground and background
 colours and multiple fonts.
 .
 This package contains the debug extensions.

Package: libqt5scintilla2-11
Architecture: any
Depends: libqt5scintilla2-l10n (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt5 port of the Scintilla source code editing widget
 QScintilla is a text editor for Qt5 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 Styling choices are more open than with many editors, allowing the use
 of proportional fonts, bold and italics, multiple foreground and background
 colours and multiple fonts.

Package: libqt5scintilla2-11-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libqt5scintilla2-11 (= ${binary:Version}),
         ${misc:Depends}
Description: Qt5 port of the Scintilla source code editing widget (debug)
 QScintilla is a text editor for Qt5 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 Styling choices are more open than with many editors, allowing the use
 of proportional fonts, bold and italics, multiple foreground and background
 colours and multiple fonts.
 .
 This package contains the debug extensions.

Package: libqscintilla2-l10n
Architecture: all
Depends: ${misc:Depends}
Suggests: libqscintilla2-11
Replaces: libqscintilla2-8
Breaks: libqscintilla2-8
Description: Scintilla source code editing widget for Qt4, translation files
 QScintilla is a text editor for Qt4 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains translations for libqscintilla2.

Package: libqt5scintilla2-l10n
Architecture: all
Depends: ${misc:Depends}
Suggests: libqt5scintilla2-11
Description: Scintilla source code editing widget for Qt5, translation files
 QScintilla is a text editor for Qt5 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains translations for libqscintilla2.

Package: libqscintilla2-designer
Section: misc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: qt4-designer
Description: Qt4 Designer plugin for QScintilla 2
 QScintilla is a text editor for Qt4 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains a plugin to use the QScintilla 2 widget in the
 Qt4 UI Designer.

Package: libqscintilla2-designer-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libqscintilla2-designer (= ${binary:Version}),
         ${misc:Depends}
Description: Qt4 Designer plugin for QScintilla 2 (debug)
 QScintilla is a text editor for Qt4 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 Styling choices are more open than with many editors, allowing the use
 of proportional fonts, bold and italics, multiple foreground and background
 colours and multiple fonts.
 .
 This package contains the debug extensions for the QScintilla 2 widget in the
 Qt4 UI Designer.

Package: libqt5scintilla2-designer
Section: misc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: qt-designer
Description: Qt5 Designer plugin for QScintilla 2
 QScintilla is a text editor for Qt5 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains a plugin to use the QScintilla 2 widget in the
 Qt5 UI Designer.

Package: libqt5scintilla2-designer-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libqt5scintilla2-designer (= ${binary:Version}),
         ${misc:Depends}
Description: Qt5 Designer plugin for QScintilla 2 (debug)
 QScintilla is a text editor for Qt5 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 Styling choices are more open than with many editors, allowing the use
 of proportional fonts, bold and italics, multiple foreground and background
 colours and multiple fonts.
 .
 This package contains the debug extensions for the QScintilla 2 widget in the
 Qt5 UI Designer.

Package: libqscintilla2-dev
Section: libdevel
Architecture: all
Depends: libqscintilla2-11 (<< ${source:Upstream-Version}+1~),
         libqscintilla2-11 (>= ${source:Upstream-Version}),
         libqt4-dev,
         ${misc:Depends}
Description: Scintilla source code editing widget for Qt4, development files
 QScintilla is a text editor for Qt4 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains development headers needed when developing
 C++ applications that use QScintilla 2.

Package: libqt5scintilla2-dev
Section: libdevel
Architecture: any
Depends: libqt5scintilla2-11 (<< ${source:Upstream-Version}+1~),
         libqt5scintilla2-11 (>= ${source:Upstream-Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: Scintilla source code editing widget for Qt5, development files
 QScintilla is a text editor for Qt5 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains development headers needed when developing
 C++ applications that use QScintilla 2 and Qt 5.

Package: libqscintilla2-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Description: API documentation for QScintilla 2
 QScintilla is a text editor for Qt4 and Qt5 with features especially useful
 when writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains API documentation and usage examples for QScintilla 2
 with both Qt4 and Qt5.

Package: python-qscintilla2
Section: python
Architecture: any
Depends: python-qt4 (>= 4.8.3-3~),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         ${sip:Depends}
Description: Python bindings for QScintilla 2
 QScintilla is a text editor for Qt4 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains Python bindings so QScintilla 2 can be used in
 PyQt4 applications.

Package: pyqt4.qsci-dev
Architecture: all
Depends: python-qt4-dev, python-sip-dev, ${misc:Depends}
Description: Development files for Python Qscintilla2 (Qt4)
 This package contains the source SIP files from which the Python bindings for
 Qscintilla2 (Qt4) are created. They are needed for building PyQt4 bindindgs
 for Qscintilla2 as well as creating bindings for own widgets written in C++.

Package: python-qscintilla2-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-dbg,
         python-qscintilla2 (= ${binary:Version}),
         python-qt4-dbg,
         python-sip-dbg,
         ${misc:Depends}
Description: Python bindings for QScintilla 2 (debug extensions)
 QScintilla is a text editor for Qt4 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python3-pyqt4.qsci
Section: python
Architecture: any
Depends: python3-pyqt4,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sip3:Depends}
Description: Python 3 bindings for QScintilla 2 with Qt 4
 QScintilla is a text editor for Qt4 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains Python 3 bindings so QScintilla 2 can be used in
 PyQt4 applications.

Package: python3-pyqt4.qsci-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-pyqt4-dbg,
         python3-pyqt4.qsci (= ${binary:Version}),
         python3-sip-dbg,
         ${misc:Depends}
Description: Python 3 bindings for QScintilla 2 (Qt 4 debug extensions)
 QScintilla is a text editor for Qt4 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains the extensions built for the Python 3 debug
 interpreter.

Package: python3-pyqt5.qsci
Section: python
Architecture: any
Depends: python3-pyqt5,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sip3:Depends}
Description: Python 3 bindings for QScintilla 2 with Qt 5
