## qscintilla2 2.8.4%2bdfsg

=== debian/changelog ===
qscintilla2 (2.8.4+dfsg-1build0.1) vivid; urgency=medium

  * No-change rebuild to make python3-pyqt5.qsci working (LP: #1391056).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 04 May 2015 21:50:29 +0300

qscintilla2 (2.8.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Repack tarball to remove sourcelss javascript files (doc/html-Qt4Qt5/
      jquery.js and doc/html-Qt3/jquery.js)
    - Update debian/patches/qt5_libname.patch to match upstream changes in the
      same area
    - Refresh patches
    - Temporarily bump pyqt5 build-dep version to 5.3.2+dfsg-2~ to make sure
      it builds against the current pyqt5 on all archs
  * Bump standards version to 3.9.6 without further change
  * Remove obsolete debian/README.Debian

 -- Scott Kitterman <scott@kitterman.com>  Sun, 21 Sep 2014 22:09:22 -0400
