=== debian/control ===
--- 
+++ 
@@ -18,13 +18,13 @@
                python3-all-dev (>= 3.1.3-13~),
                python3-pyqt4,
                python3-pyqt4-dbg,
-               python3-pyqt5 (>= 5.3+dfsg-2~),
+               python3-pyqt5 (>= 5.3.2+dfsg-2~),
                python3-pyqt5-dbg,
                python3-sip-dbg,
                python3-sip-dev,
                qtbase5-dev,
                qttools5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 X-Python3-Version: >= 3.1
 Homepage: http://www.riverbankcomputing.co.uk/software/qscintilla
