## qscintilla2 2.9+dfsg

=== debian/changelog ===
qscintilla2 (2.9+dfsg-8) unstable; urgency=medium

  * Upload to unstable
  * Update libqt5scintilla2 symbols file for hurd-i386 from build-logs

 -- Scott Kitterman <scott@kitterman.com>  Sun, 16 Aug 2015 10:42:31 -0400

qscintilla2 (2.9+dfsg-7) experimental; urgency=medium

  * Update symbols files from build logs
  * Revert DPKG_GENSYMBOLS_CHECK_LEVEL=0

 -- Scott Kitterman <scott@kitterman.com>  Fri, 14 Aug 2015 00:24:13 -0400

qscintilla2 (2.9+dfsg-6) experimental; urgency=medium

  * Update for g++5 transition (See #791257)
    - Bump library packages to libq{t5}scintilla2-12v5 for transition
    - Update debian/control, including conflicts/replaces for previous libs
  * Temporarily export DPKG_GENSYMBOLS_CHECK_LEVEL=0 to collect symbols file
    changes for both libraries
  * cp instead of mv QScintilla2.api in debian/rules so build can be re-run
    after a failure for testing
  * Drop -dbg tests from autopkgtests for now since that part of the test
    fails and such falures will mask failures due to sip issues, which is the
    main value of the test

 -- Scott Kitterman <scott@kitterman.com>  Tue, 11 Aug 2015 23:02:34 -0400

qscintilla2 (2.9+dfsg-5) unstable; urgency=medium

  * Update symbols files from buildd build logs and try again
    (Closes: #790420)
  * Update libqt5scintilla2-l10n Suggests to libqt5scintilla2-12

 -- Scott Kitterman <scott@kitterman.com>  Mon, 29 Jun 2015 10:39:03 -0400

qscintilla2 (2.9+dfsg-4) unstable; urgency=medium

  * Upload to unstable
  * Re-add symbols files
  * Correct exporting path to use pkg-kde-tools symbolshelper

 -- Scott Kitterman <scott@kitterman.com>  Mon, 29 Jun 2015 01:32:46 -0400

qscintilla2 (2.9+dfsg-3) experimental; urgency=medium

  * Correct library dependencies for libqt5scintilla2-designer,
    python-qscintilla2, and python3-pyqt4.qsci (Closes: #790016)
  * Start with empty symbols files to have experimental build logs for all
    archs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Jun 2015 00:07:09 -0400

qscintilla2 (2.9+dfsg-2) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Add an autopkgtest to check importability of Python modules.

  [ Scott Kitterman ]
  * Add BSD license information for Python/configure.py to debian/copyright
  * Add dh-python to build-depends
  * Generate correctly versioned depends for python extensions
   (Closes: #784091)
    - Add symbols files for libqscintilla2 and libqt5scintilla2
    - Add pkg-kde-tools to build-depends
    - Export path for symbolshelper in debian/rules

 -- Scott Kitterman <scott@kitterman.com>  Sun, 21 Jun 2015 14:29:13 -0400

qscintilla2 (2.9+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Repack tarball to remove sourcelss javascript files (doc/html-Qt4Qt5/
      jquery.js)
    - Update debian/patches/configure.py-objdir-support.diff and debian/
      patches/remove-logo-privacy-issue.diff to match upstream changes
    - Refresh other patches
    - Update debian/copyright - Now GPLv3 only vice previous GPLv2/3
  * Bump libqt5scintilla2-12 and libqscintilla2-12 package names to match new
    soname

 -- Scott Kitterman <scott@kitterman.com>  Mon, 15 Jun 2015 23:04:39 -0400
