=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
            Gudjon I. Gudjonsson <gudjon@gudjon.org>,
            Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                libqt4-dev (>= 4:4.8.0~),
+               pkg-kde-tools,
                pyqt5-dev,
                python-all-dbg,
                python-all-dev (>= 2.6.6-3~),
@@ -31,12 +33,14 @@
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/qscintilla2/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/qscintilla2/trunk/
 
-Package: libqscintilla2-11
+Package: libqscintilla2-12v5
 Architecture: any
 Depends: libqscintilla2-l10n (>= ${source:Upstream-Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libqscintilla2-12
+Replaces: libqscintilla2-12
 Description: Qt4 port of the Scintilla source code editing widget
  QScintilla is a text editor for Qt4 with features especially useful when
  writing and debugging source code. These include support for syntax
@@ -46,11 +50,11 @@
  of proportional fonts, bold and italics, multiple foreground and background
  colours and multiple fonts.
 
-Package: libqscintilla2-11-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libqscintilla2-11 (= ${binary:Version}),
+Package: libqscintilla2-12v5-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: libqscintilla2-12v5 (= ${binary:Version}),
          ${misc:Depends}
 Description: Qt4 port of the Scintilla source code editing widget (debug)
  QScintilla is a text editor for Qt4 with features especially useful when
@@ -63,12 +67,14 @@
  .
  This package contains the debug extensions.
 
-Package: libqt5scintilla2-11
+Package: libqt5scintilla2-12v5
 Architecture: any
 Depends: libqt5scintilla2-l10n (>= ${source:Upstream-Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libqt5scintilla2-12
+Replaces: libqt5scintilla2-12
 Description: Qt5 port of the Scintilla source code editing widget
  QScintilla is a text editor for Qt5 with features especially useful when
  writing and debugging source code. These include support for syntax
@@ -78,11 +84,11 @@
  of proportional fonts, bold and italics, multiple foreground and background
  colours and multiple fonts.
 
-Package: libqt5scintilla2-11-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libqt5scintilla2-11 (= ${binary:Version}),
+Package: libqt5scintilla2-12v5-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: libqt5scintilla2-12v5 (= ${binary:Version}),
          ${misc:Depends}
 Description: Qt5 port of the Scintilla source code editing widget (debug)
  QScintilla is a text editor for Qt5 with features especially useful when
@@ -98,7 +104,7 @@
 Package: libqscintilla2-l10n
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libqscintilla2-11
+Suggests: libqscintilla2-12v5
 Replaces: libqscintilla2-8
 Breaks: libqscintilla2-8
 Description: Scintilla source code editing widget for Qt4, translation files
@@ -111,7 +117,7 @@
 Package: libqt5scintilla2-l10n
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libqt5scintilla2-11
+Suggests: libqt5scintilla2-12v5
 Description: Scintilla source code editing widget for Qt5, translation files
  QScintilla is a text editor for Qt5 with features especially useful when
  writing and debugging source code. These include support for syntax
@@ -184,8 +190,8 @@
 Package: libqscintilla2-dev
 Section: libdevel
 Architecture: all
-Depends: libqscintilla2-11 (<< ${source:Upstream-Version}+1~),
-         libqscintilla2-11 (>= ${source:Upstream-Version}),
+Depends: libqscintilla2-12v5 (<< ${source:Upstream-Version}+1~),
+         libqscintilla2-12v5 (>= ${source:Upstream-Version}),
          libqt4-dev,
          ${misc:Depends}
 Description: Scintilla source code editing widget for Qt4, development files
@@ -199,8 +205,8 @@
 Package: libqt5scintilla2-dev
 Section: libdevel
 Architecture: any
-Depends: libqt5scintilla2-11 (<< ${source:Upstream-Version}+1~),
-         libqt5scintilla2-11 (>= ${source:Upstream-Version}),
+Depends: libqt5scintilla2-12v5 (<< ${source:Upstream-Version}+1~),
+         libqt5scintilla2-12v5 (>= ${source:Upstream-Version}),
          qtbase5-dev,
          ${misc:Depends}
 Description: Scintilla source code editing widget for Qt5, development files
@@ -298,10 +304,3 @@
 
 Package: python3-pyqt5.qsci
 Section: python
-Architecture: any
-Depends: python3-pyqt5,
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends},
-         ${sip3:Depends}
-Description: Python 3 bindings for QScintilla 2 with Qt 5
