=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,12 @@
 
 PYTHON3S := $(shell py3versions -vr debian/control) 
 PYTHONS := $(shell pyversions -vr debian/control) $(PYTHON3S)
+ifneq (/usr/share/pkg-kde-tools/bin,$(filter /usr/share/pkg-kde-tools/bin,$(subst :, ,$(PATH))))
+    export PATH := /usr/share/pkg-kde-tools/bin:$(PATH)
+endif
 
 # Update this on SO name bumps so files get shoved around correctly
-SONAME=11
+SONAME=12v5
 
 # Not all archs have Qt5 yet.  This test means python3-pyqt5 is installed
 qt5 := "no"
@@ -170,7 +173,7 @@
 	dh_installdirs
 	cd QSciQt4 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
 	mkdir -p $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt4/api/python3
-	mv $(CURDIR)/Python/build-$(shell py3versions -dv)/QScintilla2.api $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt4/api/python3
+	cp $(CURDIR)/Python/build-$(shell py3versions -dv)/QScintilla2.api $(CURDIR)/debian/libqscintilla2-doc/usr/share/qt4/api/python3
 ifeq ($(qt5), "yes")
 	cd QSciQt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/libqt5scintilla2-$(SONAME) install
 	mkdir -p $(CURDIR)/debian/libqt5scintilla2-dev/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qsci
@@ -205,7 +208,3 @@
 ifeq (,$(findstring -i, $(DH_OPTIONS)))
 	set -e; \
 	for p in libqscintilla2-$(SONAME) libqscintilla2-designer \
-	    python-qscintilla2 python3-pyqt4.qsci \
-	    ; do \
-	    DH_OPTIONS= dh_strip -p$$p --dbg-package=$$p-dbg; \
-	    rm -rf debian/$$p-dbg/usr/share/doc/$$p-dbg; \
