## qscintilla2 2.9.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
                python-all-dev (>= 2.6.6-3~),
                python-qt4 (>= 4.8.3-3~),
                python-qt4-dbg,
+               python-pyqt5,
+               python-pyqt5-dbg,
                python-qt4-dev (>= 4.8.3-3~),
                python-sip-dbg,
                python-sip-dev (>= 4.10),
@@ -30,8 +32,8 @@
 Section: libs
 X-Python3-Version: >= 3.1
 Homepage: http://www.riverbankcomputing.co.uk/software/qscintilla
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/qscintilla2/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/qscintilla2/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/qscintilla2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/qscintilla2.git
 
 Package: libqscintilla2-12v5
 Architecture: any
@@ -209,6 +211,8 @@
          libqt5scintilla2-12v5 (>= ${source:Upstream-Version}),
          qtbase5-dev,
          ${misc:Depends}
+Breaks: libqt5scintilla2-12v5 (<< 2.9.1+dfsg-3~)
+Replaces: libqt5scintilla2-12v5 (<< 2.9.1+dfsg-3~)
 Description: Scintilla source code editing widget for Qt5, development files
  QScintilla is a text editor for Qt5 with features especially useful when
  writing and debugging source code. These include support for syntax
@@ -297,10 +301,3 @@
 Description: Python 3 bindings for QScintilla 2 (Qt 4 debug extensions)
  QScintilla is a text editor for Qt4 with features especially useful when
  writing and debugging source code. These include support for syntax
- styling, error indicators, code completion, call tips and margins.
- .
- This package contains the extensions built for the Python 3 debug
- interpreter.
-
-Package: python3-pyqt5.qsci
-Section: python
