=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+#export DPKG_GENSYMBOLS_CHECK_LEVEL=0
 
 CFLAGS = -Wall -g
 CPPFLAGS=
@@ -65,15 +66,13 @@
 		--sip-incdir=/usr/include/python$* -c --qsci-incdir=../../QSciQt4 \
 		--qsci-libdir=../../QSciQt4 --destdir=$(CUR_DIR)/usr/lib/python$*/dist-packages/PyQt4
 ifeq ($(qt5), "yes")
-	case "$*" in 3*) \
-		mkdir -p Python/buildqt5-$* ; \
-	esac
-	case "$*" in 3*) \
-		cd Python/buildqt5-$* \
-		  && QT_SELECT=qt5-$(DEB_HOST_MULTIARCH) python$* ../configure.py -n ../../QSciQt5/ -o ../../QSciQt5 \
-		  --sip-incdir=/usr/include/python$* -c --qsci-incdir=../../QSciQt5 --pyqt=PyQt5 \
-		   --qsci-libdir=../../QSciQt5 --qmake=/usr/bin/qmake \
-		  --destdir=$(CUR_DIR)/usr/lib/python$*/dist-packages/PyQt5; \
+	mkdir -p Python/buildqt5-$* ; \
+	esac
+	cd Python/buildqt5-$* \
+	  && QT_SELECT=qt5-$(DEB_HOST_MULTIARCH) python$* ../configure.py -n ../../QSciQt5/ -o ../../QSciQt5 \
+	  --sip-incdir=/usr/include/python$* -c --qsci-incdir=../../QSciQt5 --pyqt=PyQt5 \
+	   --qsci-libdir=../../QSciQt5 --qmake=/usr/bin/qmake \
+	  --destdir=$(CUR_DIR)/usr/lib/python$*/dist-packages/PyQt5; \
 	esac
 endif
 	touch $@
@@ -87,16 +86,14 @@
 		--qsci-libdir=../../QSciQt4 --destdir=$(CUR_DIR)/usr/lib/python$*/dist-packages/PyQt4 \
 		--debug 
 ifeq ($(qt5), "yes")
-	case "$*" in 3*) \
-		mkdir -p Python/dbg-buildqt5-$* ; \
-	esac
-	case "$*" in 3*) \
-		cd Python/dbg-buildqt5-$* \
-		  && QT_SELECT=qt5-$(DEB_HOST_MULTIARCH) python$*-dbg ../configure.py -n ../../QSciQt5/ -o ../../QSciQt5 \
-		  --sip-incdir=/usr/include/python$* -c --qsci-incdir=../../QSciQt5 --pyqt=PyQt5 \
-		  --qsci-libdir=../../QSciQt5 --qmake=/usr/bin/qmake \
-		  --destdir=$(CUR_DIR)/usr/lib/python$*/dist-packages/PyQt5 \
-		  --debug ; \
+	mkdir -p Python/dbg-buildqt5-$* ; \
+	esac
+	cd Python/dbg-buildqt5-$* \
+	  && QT_SELECT=qt5-$(DEB_HOST_MULTIARCH) python$*-dbg ../configure.py -n ../../QSciQt5/ -o ../../QSciQt5 \
+	  --sip-incdir=/usr/include/python$* -c --qsci-incdir=../../QSciQt5 --pyqt=PyQt5 \
+	  --qsci-libdir=../../QSciQt5 --qmake=/usr/bin/qmake \
+	  --destdir=$(CUR_DIR)/usr/lib/python$*/dist-packages/PyQt5 \
+	  --debug ; \
 	esac
 endif
 	touch $@
@@ -161,10 +158,17 @@
 	done; 
 
 d_qt4_dbg = debian/python-qscintilla2-dbg
+d_qt5_dbg = debian/python-pyqt5.qsci-dbg
 
 install-python-%: 
 	$(MAKE) -C Python/build-$* install INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp
 	$(MAKE) -C Python/dbg-build-$* install INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/$(d_qt4_dbg)
+
+ifeq ($(qt5), "yes")
+	$(MAKE) -C Python/buildqt5-$* install INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) -C Python/dbg-buildqt5-$* install INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp
+endif
+
 
 install: build
 	dh_testdir
@@ -182,7 +186,8 @@
 	cp $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qsci/*.h $(CURDIR)/debian/libqt5scintilla2-dev/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qsci/
 	rm -rf $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/include
 	mv $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/lib/*.so $(CURDIR)/debian/libqt5scintilla2-dev/usr/lib
-	cp $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/share/qt5/mkspecs/features/* $(CURDIR)/debian/libqt5scintilla2-dev/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/features
+	cp $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/features/* $(CURDIR)/debian/libqt5scintilla2-dev/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/features
+	rm -rf $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/lib/$(DEB_HOST_MULTIARCH)
 	cd designer-Qt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/libqt5scintilla2-designer install
 	mkdir -p $(CURDIR)/debian/libqt5scintilla2-l10n/usr/share/qt5/translations
 	cp $(CURDIR)/debian/libqt5scintilla2-$(SONAME)/usr/share/qt5/translations/* $(CURDIR)/debian/libqt5scintilla2-l10n/usr/share/qt5/translations
@@ -194,17 +199,3 @@
 	cd designer-Qt4Qt5 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
 	for p in $(PYTHONS) ; do \
                 $(MAKE) -f debian/rules install-python-$$p || exit 1;\
-        done
-
-binary-common:
-	dh_testdir
-	dh_testroot
-	dh_installman
-	dh_install --sourcedir=$(CURDIR)/debian/tmp
-	dh_installchangelogs NEWS
-	dh_installdocs -A
-	dh_installexamples
-	dh_link
-ifeq (,$(findstring -i, $(DH_OPTIONS)))
-	set -e; \
-	for p in libqscintilla2-$(SONAME) libqscintilla2-designer \
