## qscintilla2 2.9.1+dfsg

=== debian/changelog ===
qscintilla2 (2.9.1+dfsg-4build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:34:21 +0000

qscintilla2 (2.9.1+dfsg-4) unstable; urgency=medium

  * Add new binary packages python-pyqt5.qsci and python-pyqt5.qsci-dbg so
    QScintilla2 can be used with Python (2) and Qt5 to enable QGIS to be
    updated to Qt5
    - Add new packages to debian/control
    - Add python-pyqt5 and python-pyqt5-dbg to build-depends
    - Update debian/rules to do Qt5 builds for both python and python3
    - Add debian/python-pyqt5.qsci.install

 -- Scott Kitterman <scott@kitterman.com>  Sun, 10 Jan 2016 15:42:57 -0500

qscintilla2 (2.9.1+dfsg-3) unstable; urgency=medium

  * rm the mkspecs dir from libqt5scintilla2-12v5 in debian/rules so the prf
    file doesn't end up installed in two packages
  * Version libqt5scintilla2-dev Breaks/Replaces on libqt5scintilla2-12v5
    to make fixed packages installable

 -- Scott Kitterman <scott@kitterman.com>  Fri, 30 Oct 2015 07:37:06 -0400

qscintilla2 (2.9.1+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildlogs
  * Disable dpkg-gensymbols check level set to 0
  * Add libqt5scintilla2-dev Breaks/Replaces libqt5scintilla2-12v5 due to
    qscintilla2.prf moving between the packages (Closes: #803419)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 29 Oct 2015 18:43:42 -0400

qscintilla2 (2.9.1+dfsg-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * New upstream release (Closes: #803142)
  * Update debian/rules to account for Qt5 prf file being installed in usr/lib
    instead of usr/share by the upstream build system
  * Temporarily set dpkg-gensymbols check level to 0 to ensure we
    capture symbols changes for all libs

  [ SVN-Git Migration ]
  * Migrate packaging to git with git-dpm

  [ Michael Cree ]
  * Update symbols files for Alpha

 -- Scott Kitterman <scott@kitterman.com>  Thu, 29 Oct 2015 13:48:47 -0400

qscintilla2 (2.9+dfsg-9) unstable; urgency=medium

  * Update symbols files from buildlogs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 28 Sep 2015 23:09:41 -0400
