=== debian/tests/control ===
Tests: python
Depends: python-all-dbg,
         python-qscintilla2,
         python-qscintilla2-dbg,
         python3-all-dbg,
         python3-pyqt4.qsci,
         python3-pyqt4.qsci-dbg,
         python3-pyqt5.qsci,
         python3-pyqt5.qsci-dbg
